/*
 * Code for class WEL_LB_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F173_4292(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4293(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4294(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4295(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4296(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4297(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4298(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4299(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4300(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4301(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4302(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4303(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4304(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4305(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4306(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4307(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4308(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4309(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4310(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4311(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4312(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4313(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4314(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4315(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4316(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4317(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4318(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4319(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4320(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4321(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4322(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4323(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4324(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4325(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4326(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4327(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4328(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4329(EIF_REFERENCE);
extern EIF_TYPED_VALUE F173_4330(EIF_REFERENCE);
extern void EIF_Minit173(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_LB_CONSTANTS}.lb_addstring */
EIF_TYPED_VALUE F173_4292 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 384L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_insertstring */
EIF_TYPED_VALUE F173_4293 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 385L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_deletestring */
EIF_TYPED_VALUE F173_4294 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 386L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_selitemrangeex */
EIF_TYPED_VALUE F173_4295 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 387L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_resetcontent */
EIF_TYPED_VALUE F173_4296 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 388L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_setsel */
EIF_TYPED_VALUE F173_4297 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 389L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_setcursel */
EIF_TYPED_VALUE F173_4298 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 390L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_getsel */
EIF_TYPED_VALUE F173_4299 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 391L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_getcursel */
EIF_TYPED_VALUE F173_4300 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 392L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_gettext */
EIF_TYPED_VALUE F173_4301 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 393L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_gettextlen */
EIF_TYPED_VALUE F173_4302 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 394L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_getcount */
EIF_TYPED_VALUE F173_4303 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 395L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_selectstring */
EIF_TYPED_VALUE F173_4304 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 396L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_dir */
EIF_TYPED_VALUE F173_4305 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 397L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_gettopindex */
EIF_TYPED_VALUE F173_4306 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 398L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_findstring */
EIF_TYPED_VALUE F173_4307 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 399L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_getselcount */
EIF_TYPED_VALUE F173_4308 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 400L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_getselitems */
EIF_TYPED_VALUE F173_4309 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 401L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_settabstops */
EIF_TYPED_VALUE F173_4310 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 402L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_gethorizontalextent */
EIF_TYPED_VALUE F173_4311 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 403L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_sethorizontalextent */
EIF_TYPED_VALUE F173_4312 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 404L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_setcolumnwidth */
EIF_TYPED_VALUE F173_4313 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 405L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_addfile */
EIF_TYPED_VALUE F173_4314 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 406L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_settopindex */
EIF_TYPED_VALUE F173_4315 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 407L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_getitemrect */
EIF_TYPED_VALUE F173_4316 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 408L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_getitemdata */
EIF_TYPED_VALUE F173_4317 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 409L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_setitemdata */
EIF_TYPED_VALUE F173_4318 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 410L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_selitemrange */
EIF_TYPED_VALUE F173_4319 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 411L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_setanchorindex */
EIF_TYPED_VALUE F173_4320 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 412L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_getanchorindex */
EIF_TYPED_VALUE F173_4321 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 413L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_setcaretindex */
EIF_TYPED_VALUE F173_4322 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 414L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_getcaretindex */
EIF_TYPED_VALUE F173_4323 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 415L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_setitemheight */
EIF_TYPED_VALUE F173_4324 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 416L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_getitemheight */
EIF_TYPED_VALUE F173_4325 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 417L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_findstringexact */
EIF_TYPED_VALUE F173_4326 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 418L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_okay */
EIF_TYPED_VALUE F173_4327 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_err */
EIF_TYPED_VALUE F173_4328 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) -1L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_errspace */
EIF_TYPED_VALUE F173_4329 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) -2L);
	return r;
}

/* {WEL_LB_CONSTANTS}.lb_ctlcode */
EIF_TYPED_VALUE F173_4330 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

void EIF_Minit173 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
